import React from 'react'

class Player extends React.Component {
  constructor (dataList) {
    super()

    if (dataList.length !== 32) {
      throw Error('Wrong number of columns. Have you loaded the right file?')
    }
    this.__dataList__ = dataList

    // Give dataList items meaningful names
    this.Konkurrenz = dataList[0]
    this.Lizenz = dataList[2]
    this.Name = dataList[5]
    this.Vorname = dataList[6]
    this.Geburtsdatum = dataList[7]
    this.Klassierung = dataList[17]
    this.LizenzDP = dataList[23]
    this.NameDP = dataList[24]
    this.VornameDP = dataList[25]
    this.GeburtsdatumDP = dataList[26]
    this.KlassierungDP = dataList[27]
    this.Bestaetigt = dataList[29]
    this.Bezahlt = dataList[31]
  }

  render () {
    return (
      <li>
        <i>{this.Konkurrenz}</i> <b>{this.Name}</b> {this.Vorname}
      </li>
    )
  }
}

export default Player
